function ellipse(A,m,radius,EllipseColor,LineWidth)
%
%  ellipse(A,m,radius,EllipseColor[, LineWidth])
%
%   Draws the ellipse
%      x' * Q * x = 1
%    corresponding to the positive definite symmetric 2 by 2 matrix
%    where Q = A if A is symmetric; otherwise Q = A * A'

if size(A) ~= [2 2],
   error('argument must be 2 by 2 matrix');
end

p = 0;
if A == A'
   [T,p] = chol(A);
   T = T';
else
   %Q = A * A';
   T = A;
end
t = linspace(0,2*pi,100);

if p == 0
    x = radius .* (T(1,1) .* cos(t) + T(1,2) .* sin(t)) + m(1,1);
    y = radius .* (T(2,1) .* cos(t) + T(2,2) .* sin(t)) + m(1,2);
    if (nargin < 5)
        plot(x, y, 'color', EllipseColor);
    else
        plot(x, y, 'color', EllipseColor, 'LineWidth', LineWidth);
    end;
end;
hold on;
plot(m(1),m(2),'kx');
