function [C,M,W,N,D] = load_mixture_model(filename);
% function [C,M,W,N,D] = load_mixture_model(filename);
%
% C = Covariance matrices 
% M = Mean vectors
% W = Prior probs (mixing weights)
% N = Number of components
% D = Dimensionality

if ~(exist(filename,'file'))
    error(sprintf('File %s doesn''t exist.',filename));
else
    Data = load(filename);
end;

N = Data(1,1); 
Data = Data(2:length(Data),:);
[foo, D] = size(Data);
M = zeros(N, D);
C = zeros(N * D, D);
W = zeros(N, 1);
for i=1:N
    W(i) = Data(1,1);
    M(i,:) = Data(2,:); 
    is_diag = (Data(3,1)==1);
    if (is_diag)
        C((i-1)*D+1:i*D,:) = diag(Data(4,:));
        Data = Data(5:size(Data, 1),:);
    else
        C((i-1)*D+1:i*D,:) = Data(4:4+D-1,:);
        Data = Data(4+D:length(Data),:);
    end;
end;